import { Resource } from 'cdktf';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface CreateAccountPasswordPolicyProps {
    /**
     * @stability stable
     */
    readonly minimumPasswordLength?: number;
    /**
     * @stability stable
     */
    readonly passwordReusePrevention?: number;
    /**
     * @stability stable
     */
    readonly requireNumbers?: boolean;
    /**
     * @stability stable
     */
    readonly requireUppercaseCharacters?: boolean;
    /**
     * @stability stable
     */
    readonly requireLowercaseCharacters?: boolean;
    /**
     * @stability stable
     */
    readonly requireSymbols?: boolean;
    /**
     * @stability stable
     */
    readonly allowUsersToChangePassword?: boolean;
    /**
     * @stability stable
     */
    readonly maxPasswordAge?: number;
}
/**
 * @stability stable
 */
export declare class CreateAccountPasswordPolicy extends Resource {
    /**
     * @stability stable
     */
    readonly expirePasswords: boolean;
    /**
     * @stability stable
     */
    constructor(scope: Construct, name: string, props: CreateAccountPasswordPolicyProps);
    /**
     * addConfigRule.
     *
     * @stability stable
     */
    addConfigRule(): void;
}
